//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace dabirmodel
{
    using System;
    using System.Collections.Generic;
    
    public partial class tbl_page
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tbl_page()
        {
            this.tbl_letter = new HashSet<tbl_letter>();
        }
    
        public decimal id_page { get; set; }
        public string page_name { get; set; }
        public Nullable<int> page_width { get; set; }
        public Nullable<int> page_height { get; set; }
        public Nullable<int> orientation { get; set; }
        public Nullable<int> margin_top { get; set; }
        public Nullable<int> margin_bottom { get; set; }
        public Nullable<int> margin_right { get; set; }
        public Nullable<int> margin_left { get; set; }
        public string header { get; set; }
        public string message { get; set; }
        public string body { get; set; }
        public string footer { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tbl_letter> tbl_letter { get; set; }
    }
}
